//Generate a Cumulative Distibution function and Probability Density Function
//plot of discrete random variables where x=1,2,3 and their respective 
//probabilities are given by 3/15,7/15,5/15

x=[1,2,3];.......................................................//Random Variable

px=[3/15 7/15 5/15];.............................................//Probability of RV

y=cumsum(px);....................................................//Cumulative sum of probabilities.

title("Simulation of Discrete RV and Estimation of CDF and PDF");//Title

subplot(121)

plot2d2(x,y,1,"111",rect=[0,0,4,1.25]);........................//plot step function

xlabel("RANDOM VARIABLE X","fontsize",5);

ylabel("CDF F(x)","fontsize",5);

title("Cumulative Distribution Function","fontsize",5);

subplot(122)

plot2d3(x,px,rect=[0,0,4,1]);..................................//plot stem function

xlabel("Random Variable X","fontsize",5);

ylabel("PDF f(x)","fontsize",5);

title("Probability Density Function","fontsize",5);
