//GAUSSIAN DISTRIBUTION

stacksize("max");

x=[-2:0.1:2];...................................//defining X-axis

s1=0.5^0.5;.....................................//defining variance_1

s2=0.8^0.8;.....................................//defining variance_2

gd1=(1/((2*%pi)^0.5*s1)*%e^-((x/s1)^2/2));......//Expression for Gaussian Distribution 

plot2d1(x,gd1);

gd2=(1/((2*%pi)^0.5*s2)*%e^-((x/s2)^2/2));.....//Expression for Gaussian Distribution 

plot2d1(x,gd2);

xlabel("X");

ylabel("f(x)");

title("Gaussian Distribution","fontsize",5);

e=gce();....................................//Changing Line style

e1=e.children(1);...........................//Call the Function

e1.thickness=1;.............................//Thickness of the Line

e1.line_style=3;............................//Line style selection

h1=legend(['f1=var=0.5','f2=var=0.8']);.....//Plot for 2 variances.