//GAUSSIAN RANDOM PROCESS

stacksize('max');

u=[50:50];

sig=[100,30;30,140];.............................//defining covariance matrix....Cx(ti,tj)

a=1./((sqrt(det(sig)))*(sqrt(2*%pi)));

for(i=1:100)
    for(j=1:100)
        x=[i;j]
        xn=x-u;
        b(i,j)=exp(-(xn'*inv(sig)*xn*0.5));
    end
end

f=a*b;.........................................//PDF=fx1,x2,....xn=[1/(sqrt(2*pi)*sigma)^n)*(exp^(-(xi-m)^2/(2*(sigma^2)))]

surf(f);

xlabel('x random variable','fontsize',2);

ylabel('y random variable','fontsize',2);

zlabel('PDF','fontsize',2);

title('Gaussian Random Process','fontsize',5);