//Relation between Cumulative Distribution Function and Probability Density Function.

//Generate a set of 100 uniform random variable in the range of -2 to 2. 
//Plot Histogram for the same.

stacksize("max");....................//Maximizing Size

x=grand(1,100,'unf',-2,2);...........//Generate random numbers

w=unique(x);.........................//Arrange in ascending order

p=100^(-1)*ones(1,100);..............//Calculate probability

subplot(2,2,1.5);

histplot(10,w);......................//To plot Histogram

xlabel("Random Numbers");

ylabel("Amplitude");

title("Histogram","fontsize",4);

z=cumsum(p);.........................//Take cumulative sum of probabilities

subplot(2,2,3);

plot2d2(w,z);........................//Plot CDF

xlabel("Random Numbers");

ylabel("Amplitude");

title("CDF","fontsize",4);

subplot(2,2,4);

plot2d3(w,z,p);......................//Plot PDF

title("PDF","fontsize",4);

xlabel("Random Numbers");

ylabel("Amplitude"); 