//POWER SPECTRAL DENSITY

sample_rate=1000;..........................................//No. of bit intervals.

t=0:1/sample_rate:10;......................................//time axis for pulse shape

N=size(t,'*');

x=cos(2*%pi*47*t)+cos((2*%pi*219*t)+(%pi/4));

f=sample_rate*(0:(N/2))/N;

n=size(f,'*');

sm=pspect(N/2,N,'hn',x);................................// two sided cross-spectral estimate 
                                                        //between 2 discrete time signals 

plot2d("gnl",f,sm(1:n));

xlabel('Frequency','fontsize',4);

title('POWER SPECTRAL DENSITY','fontsize',5);

ylabel('Power Content of the given signal','fontsize',4);